- Note: All server actions could also be dependent on the type of server (Plemora, Misskey, Masto, GTS, Linstrom, etc)
- Bulk moderation:
  - Maybe vim-like multiselect via search with regex?
  - Role based selection?
- MRF:
  - Automated actions on incoming and outgoing messages:
    - Apply some regex
    - Auto-mark as sensitive
    - Mark media as sensitive
    - Remove media
    - Block entirely
    - Force raw text
  - Selection mechanism:
    - Match a regex
    - From user
    - From server
    - From user with role
    - (Optional) On positive result from M$ content scan
- Automod:
  - Notes (and replies) get withheld until approval
  - Regex based yoink
  - All from role (Also includes user specific since every user gets their own role)
  - All from server
  - (Optional) On positive result from M$ content scan
  - Exclude roles from being hit
  - Exclude users from being hit
- Local Role permissions:
  - Can send activities (Everything)
  - Can upload media
  - Can send reactions
  - Can send replies
  - Can send posts (that are not replies)
  - Can edit own posts
  - Ratelimit (variable speed)
- Emoji management:
  - Disable custom remote emoji per default
  - Disable select ones
    - Based on regex
    - Based on specific names
    - Based on origin
- Account management:
  - Force reset password of local account
  - Disable login into account
  - Delete account
- Deletion policies:
  - Note: Always going to be soft delete first, then hard delete x days later
  - delete notifications get send on hard delete
  - Delete notifications get send on soft delete
  - Delete notifications get send y days after soft delete (where y < x)
